# Accessibility and WCAG

nexxPLAY supports Accessilbility Standards and Techniques in all Player Versions. The Page/App Owner does not have to activate anything on any Platform.

## Web SDK

* supports ARIA Roles, Labels and Client Hints.
* supports Haptic Feedback, where possible
* supports "**reduced-motion**" Settings on various Levels
* supports LRT/RTL Layout Flow
* supports "**forced-colors**" Settings
* supports **Image Descriptions** for visualy impaired
* supports Captions and Audio-Description

{% content-ref url="/pages/-M9Fdlzna0yIKdW\_WjNj" %}
[Javascript SDK](/javascript-sdk.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M9FdorKLl9r4DQCDKmJ" %}
[iFrame Integration](/iframe-integration.md)
{% endcontent-ref %}

{% hint style="info" %}
LTR/RTL Layout Flow may need some hints from the surrounding Page to work propperly. nexxPLAY via Javascript will follow any parent Container "**dir**" Attribute by default.&#x20;

In an iFrame, this may be more difficult, therefore a special "**direction**" Attribute exists for this Purpose.
{% endhint %}

## iOS SDK

* supports **VoiceOver** with **UIAccessibility** Frameworks
* supports Accessibility Traits and Labels
* supports Haptic Feedback, where possible
* supports "**reduced-motion**" Settings on various Levels
* supports MACaptionAppearanceDisplayType (prefers Audio-Description Setting)
* supports "**User Defined Caption Style**"
* supports **Image Descriptions** for visualy impaired
* supports Captions and Audio-Description

{% content-ref url="/pages/-M9Ye7-tHyas2tvRenYE" %}
[nexxPLAY for iOS](/native-players/nexxplay-for-ios.md)
{% endcontent-ref %}

## android / androidTV SDK

* supports **contentDescription** and "**importantForAccessibility**" Attributes
* supports Haptic Feedback, where possible
* supports "**reduced-motion**" Settings on various Levels
* supports LRT/RTL Layout Flow
* supports "**System Caption Style**"
* supports **Image Descriptions** for visualy impaired
* supports Captions and Audio-Description

{% content-ref url="/pages/-MMFMBDvqErCYtTFzLsE" %}
[Android Widget](/widgets/widgets-for-native-apps/android-widget.md)
{% endcontent-ref %}

{% content-ref url="/pages/I4sQFBaDuwEGhpqIzyuZ" %}
[nexxPLAY for Flutter](/native-players/nexxplay-for-flutter.md)
{% endcontent-ref %}

{% hint style="info" %}
If your App wants to support LTR/RTL Layout Flows, make sure that the Application Manifest contains the "**android:supportsRtl='true'**" Setting.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://play.docs.nexx.cloud/security-and-accessibility/accessibility-and-wcag.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
